0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_polar_coordinates
GTX Extensions (Experimental)

Conversion from Euclidean space to polar space and revert. More...

## Functions
template<typename T , qualifier P>
GLM_FUNC_DECL vec< 3, T, P > | euclidean (vec< 2, T, P > const &polar)
| Convert Polar to Euclidean coordinates. More...
template<typename T , qualifier P>
GLM_FUNC_DECL vec< 3, T, P > | polar (vec< 3, T, P > const &euclidean)
| Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude. More...

## Detailed Description

Conversion from Euclidean space to polar space and revert.

<glm/gtx/polar_coordinates.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL vec<3, T, P> glm::euclidean | ( | vec< 2, T, P > const & | polar | ) |

Convert Polar to Euclidean coordinates.

See also
  GLM_GTX_polar_coordinates

GLM_FUNC_DECL vec<3, T, P> glm::polar | ( | vec< 3, T, P > const & | euclidean | ) |

Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude.

See also
  GLM_GTX_polar_coordinates